org.apache.ignite.internal.jdbc

## Class JdbcResultSetMetadata

- java.lang.Object
- - org.apache.ignite.internal.jdbc.JdbcResultSetMetadata

All Implemented Interfaces:
  ResultSetMetaData, Wrapper

Deprecated.
Using Ignite client node based JDBC driver is preferable. See documentation of `IgniteJdbcDriver` for details.

    @Deprecated
    public class JdbcResultSetMetadata
    extends Object
    implements ResultSetMetaData

JDBC result set metadata implementation.

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getCatalogName(int col)` Deprecated.
`String` `getColumnClassName(int col)` Deprecated.
`int` `getColumnCount()` Deprecated.
`int` `getColumnDisplaySize(int col)` Deprecated.
`String` `getColumnLabel(int col)` Deprecated.
`String` `getColumnName(int col)` Deprecated.
`int` `getColumnType(int col)` Deprecated.
`String` `getColumnTypeName(int col)` Deprecated.
`int` `getPrecision(int col)` Deprecated.
`int` `getScale(int col)` Deprecated.
`String` `getSchemaName(int col)` Deprecated.
`String` `getTableName(int col)` Deprecated.
`boolean` `isAutoIncrement(int col)` Deprecated.
`boolean` `isCaseSensitive(int col)` Deprecated.
`boolean` `isCurrency(int col)` Deprecated.
`boolean` `isDefinitelyWritable(int col)` Deprecated.
`int` `isNullable(int col)` Deprecated.
`boolean` `isReadOnly(int col)` Deprecated.
`boolean` `isSearchable(int col)` Deprecated.
`boolean` `isSigned(int col)` Deprecated.
`boolean` `isWrapperFor(Class<?> iface)` Deprecated.
`boolean` `isWritable(int col)` Deprecated.
`<T> T` `unwrap(Class<T> iface)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getColumnCount

    public int getColumnCount()
                       throws SQLException

Deprecated.

Specified by:
  `getColumnCount` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isAutoIncrement

    public boolean isAutoIncrement(int col)
                            throws SQLException

Deprecated.

Specified by:
  `isAutoIncrement` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isCaseSensitive

    public boolean isCaseSensitive(int col)
                            throws SQLException

Deprecated.

Specified by:
  `isCaseSensitive` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isSearchable

    public boolean isSearchable(int col)
                         throws SQLException

Deprecated.

Specified by:
  `isSearchable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isCurrency

    public boolean isCurrency(int col)
                       throws SQLException

Deprecated.

Specified by:
  `isCurrency` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isNullable

    public int isNullable(int col)
                   throws SQLException

Deprecated.

Specified by:
  `isNullable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isSigned

    public boolean isSigned(int col)
                     throws SQLException

Deprecated.

Specified by:
  `isSigned` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnDisplaySize

    public int getColumnDisplaySize(int col)
                             throws SQLException

Deprecated.

Specified by:
  `getColumnDisplaySize` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnLabel

    public String getColumnLabel(int col)
                          throws SQLException

Deprecated.

Specified by:
  `getColumnLabel` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnName

    public String getColumnName(int col)
                         throws SQLException

Deprecated.

Specified by:
  `getColumnName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getSchemaName

    public String getSchemaName(int col)
                         throws SQLException

Deprecated.

Specified by:
  `getSchemaName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getPrecision

    public int getPrecision(int col)
                     throws SQLException

Deprecated.

Specified by:
  `getPrecision` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getScale

    public int getScale(int col)
                 throws SQLException

Deprecated.

Specified by:
  `getScale` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getTableName

    public String getTableName(int col)
                        throws SQLException

Deprecated.

Specified by:
  `getTableName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getCatalogName

    public String getCatalogName(int col)
                          throws SQLException

Deprecated.

Specified by:
  `getCatalogName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnType

    public int getColumnType(int col)
                      throws SQLException

Deprecated.

Specified by:
  `getColumnType` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnTypeName

    public String getColumnTypeName(int col)
                             throws SQLException

Deprecated.

Specified by:
  `getColumnTypeName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isReadOnly

    public boolean isReadOnly(int col)
                       throws SQLException

Deprecated.

Specified by:
  `isReadOnly` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isWritable

    public boolean isWritable(int col)
                       throws SQLException

Deprecated.

Specified by:
  `isWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### isDefinitelyWritable

    public boolean isDefinitelyWritable(int col)
                                 throws SQLException

Deprecated.

Specified by:
  `isDefinitelyWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### getColumnClassName

    public String getColumnClassName(int col)
                              throws SQLException

Deprecated.

Specified by:
  `getColumnClassName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> iface)
                 throws SQLException

Deprecated.

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

Deprecated.

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018